Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-9782

change osp tools to use sakai authz

    Details

    • Type: Task
    • Status: CLOSED
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.5.0
    • Fix Version/s: 2.5.0
    • Component/s: OSP: Other
    • Labels:
      None

      Description

      change osp tools to use sakai authz. this work is already done for rsmart cle 2.5.

      This would accomplish several things:

      1. reduce the "moving parts" of setup events. right now, osp tools
      listen for events to tell them they have been added to a site. they
      then have to setup permissions. this would be eliminated.

      2. simplify the end user experience. admins have been going nuts to
      find that they need to set default perms for sakai tools one way,
      then they can't set default perms for osp tools. for 2.4, we were
      going to say, osp tools can be set through the spreadsheet, but that
      would still be very clunky.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  john.ellis@rsmart.com John Ellis (Inactive)
                  Reporter:
                  john.ellis@rsmart.com John Ellis (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Git Source Code